Package org.bukkit

# Class Vibration

java.lang.Object
org.bukkit.Vibration

public class Vibration extends Object
Represents a vibration from a Skulk sensor.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Vibration.Destination`

## Constructor Summary

Constructors
Constructor
Description
`Vibration(@NotNull Location origin, @NotNull Vibration.Destination destination, int arrivalTime)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Vibration(@NotNull Vibration.Destination destination, @org.jetbrains.annotations.NotNull int arrivalTime)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getArrivalTime()`
Get the vibration arrival time in ticks.
`@NotNull Vibration.Destination`
`getDestination()`
Get the vibration destination.
`@NotNull Location`
`getOrigin()`
Deprecated, for removal: This API element is subject to removal in a future version.
unused as of 1.19

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Vibration

public Vibration(@NotNull @NotNull Vibration.Destination destination, @NotNull @org.jetbrains.annotations.NotNull int arrivalTime)

### Vibration

@Deprecated(forRemoval=true) public Vibration(@NotNull @NotNull Location origin, @NotNull @NotNull Vibration.Destination destination, int arrivalTime)
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### getOrigin

@NotNull @Deprecated(forRemoval=true) public @NotNull Location getOrigin()
Deprecated, for removal: This API element is subject to removal in a future version.
unused as of 1.19
Get the origin of the vibration.

Returns:
  origin

### getDestination

@NotNull public @NotNull Vibration.Destination getDestination()
Get the vibration destination.

Returns:
  destination

### getArrivalTime

public int getArrivalTime()
Get the vibration arrival time in ticks.

Returns:
  arrival time